Bug 234726 - [NEW PORT] comms/redsea: Lightweight CLI FM-RDS decoder
Summary: [NEW PORT] comms/redsea: Lightweight CLI FM-RDS decoder
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kai Knoblich
URL: https://reviews.freebsd.org/D19164
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-08 01:27 UTC by Andrew
Modified: 2019-02-20 22:04 UTC (History)
1 user (show)

See Also:


Attachments
Makefile etc (5.00 KB, patch)
2019-01-08 01:27 UTC, Andrew
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew 2019-01-08 01:27:11 UTC
Created attachment 200897 [details]
Makefile etc

redsea is a command-line utility for decoding and displaying radio data service (RDS) blocks as, for example, may be received using a software-defined radio. It is also capable of decoding RDS data that are provided in hex or binary formats.
Comment 1 Kai Knoblich freebsd_committer 2019-02-13 09:43:23 UTC
Hello Andrew,

thank you for your submission. As far I can see this is your first contribution, the patchfile had only minor issue and was well crafted from an overall view. ports-mgmt/portlint is a good tool to fix such minor issue for future contributions.

The "autoreconf --install" is indeed are rare case and you did it right. I just converted it to "@cd ${WRKSRC} && ${AUTORECONF} -i" as like in the Makefile of emulators/gngeo for an example.

Well, at the moment there's only one hurdle before the port can land into the ports tree: By conventions the MAINTAINER address has to match the address of your Bugzilla account.

If you like to use the email address given in the Makefile you should change it in your Bugzilla account beforehand. For the other case if you would like to use the Bugzilla address instead, I can change it for you in the Make and you don't need to take any actions.
Comment 2 Andrew 2019-02-14 02:50:15 UTC
(In reply to Kai Knoblich from comment #1)
Hello Kai,

Thank you for your kind comments. This is indeed my first submission, and I'm glad to hear that it was mostly correct.

I'm still learning my way around Makefile syntax, so I am interested in what you did to the "autoreconf" invocation. That does look closer to what I was trying to accomplish, and more reliable as well.

I also agree with using my Bugzilla address in the Maintainer field. That is a more reliable address, anyway.
Comment 3 Kai Knoblich freebsd_committer 2019-02-14 08:50:06 UTC
(In reply to Andrew from comment #2)

Hello Andrew,

thank you for the confirmation to use the email address of your Bugzilla account. I updated the review at https://reviews.freebsd.org/D19164 accordingly.

There you can also see my minor changes I have done so far.
Comment 4 commit-hook freebsd_committer 2019-02-20 21:49:59 UTC
A commit references this bug:

Author: kai
Date: Wed Feb 20 21:49:10 UTC 2019
New revision: 493466
URL: https://svnweb.freebsd.org/changeset/ports/493466

Log:
  New port: comms/redsea

  redsea is a lightweight command-line decoder for broadcast FM-RDS data,
  such as that provided from a software-defined radio (SDR). It can also
  decode raw ASCII bitstreams, the hex format provided by RDS Spy, and audio
  files containing multiplex signals. Decoded RDS groups are printed to the
  terminal as line-delimited JSON objects; optionally, undecoded hex blocks
  can be output instead.

  This program is intended to be used in combination with a separate source
  of demodulated FM multiplex signals, such as rtl-sdr.

  WWW: https://github.com/windytan/redsea/

  PR:		234726
  Submitted by:	Andrew <morrand276@gmail.com>
  Approved by:	miwi (mentor)
  Differential Revision:	https://reviews.freebsd.org/D19164

Changes:
  head/comms/Makefile
  head/comms/redsea/
  head/comms/redsea/Makefile
  head/comms/redsea/distinfo
  head/comms/redsea/pkg-descr
  head/comms/redsea/pkg-message
Comment 5 Kai Knoblich freebsd_committer 2019-02-20 22:04:45 UTC
Committed, comms/redsea is now available in the ports tree. Thank you for your contribution!